/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

//#define USE_LOCALHOST

using System;
using AdavSms;

namespace AdavSmsClient
{
	/// <summary>
	/// Summary description for AdavSmsImpl.
	/// </summary>
	internal class AdavSmsImpl : IAdavSms
	{
		public AdavSmsImpl()
		{
			//
			// TODO: Add constructor logic here
			//
		}
	
		#region IAdavSms Members

		public float Send(string token, string destination, string message)
		{
			WS.AdavSms srv = new WS.AdavSms();

#if USE_LOCALHOST
			srv.Url = "http://localhost/AdavSmsWebService/AdavSms.asmx";
#else
			srv.Url = "http://w2ks.dei.isep.ipp.pt/psousa/AdavSmsWebService/AdavSms.asmx";
#endif

			try
			{
				return srv.Send(token, destination, message);
			}
			catch (System.Net.WebException ex)
			{
				throw new ApplicationException("general exception in module AdavSmsImplclient.Send", ex);
			}
			catch (Exception ex)
			{
				throw;
			}
		}

		#endregion
	}
}
