/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

using System;
using AdavSms;

namespace AdavSmsService
{
	/// <summary>
	/// Summary description for Factory.
	/// </summary>
	public class Factory
	{
		public static IAdavSms CreateIAdavSmsService()
		{
			return new AdavSmsImpl();
		}

		public static IAdavSmsAdmin CreateIAdavSmsAdminService()
		{
			return new AdavSmsAdminImpl();
		}
	}
}
