/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

using System;

namespace AdavSms
{
	/// <summary>
	/// Summary description for IAdavSms.
	/// </summary>
	public interface IAdavSms
	{
		/// <summary>
		/// Simula o envio de um SMS. necessita de ligao internet
		/// </summary>
		/// <param name="token">token identificador do cliente. 
		/// obtido atravs de registo na aplicao em http://w2ks.dei.isep.ipp.pt/psousa/AdavSmsWebApplication/
		/// </param>
		/// <param name="destination">numero de destino</param>
		/// <param name="message">texto da mensagem de SMS</param>
		/// <returns>custo da mensagem ou -1 em caso de erro</returns>
		float Send(string token, string destination, string message);
	}
}
